[Hackage] #685: cabal install does not work in /tmp/

Hackage cvs-ghc at haskell.org
Sun May 9 15:36:53 EDT 2010

#685: cabal install does not work in /tmp/
  Reporter:  guest          |        Owner:         
      Type:  defect         |       Status:  new    
  Priority:  normal         |    Milestone:         
 Component:  Cabal library  |      Version:
  Severity:  normal         |     Keywords:         
Difficulty:  unknown        |   Ghcversion:         
  Platform:                 |  
 Wanting to to build darcs 2.4.3, I downloaded the tarball (
 http://wiki.darcs.net/Releases/2.4 ) and uncompressed it in /tmp/ to
 run cabal install.
 I got the following error :

 cabal: Error: some packages failed to install:
 darcs-2.4.3 failed during the configure step. The exception was:
 ExitFailure 127

 See http://hpaste.org/fastcgi/hpaste.fcgi/view?id=25412#a25412 for a
 full verbose log, but i think there is nothing informative to it.

 However, if I do "rm -fr dist" and try cabal install again, darcs
 build fine. Also, if I try in $HOME, cabal install works directly.

 Here are the versions of the software I'm using:

 cabal-install version 0.8.2
 using version of the Cabal library

 ghc 6.12.1

 Linux distribution: Ubuntu 10.04 (Lucid Lynx).

 I hope this will help you!

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/685>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list